/* flaneth - flash and ethernet
   Copyright (C) 2007-2012 Stefan Schuermans <stefan@schuermans.info>
   Copyleft: GNU public license V2 - http://www.gnu.org/copyleft/gpl.html
   a BlinkenArea project - http://www.blinkenarea.org/ */

#include <avr/wdt.h>

#include "arp.h"
#include "bus.h"
#include "cf.h"
#include "debug.h"
#include "eeprom.h"
#include "http.h"
#include "random.h"
#include "rtl8019.h"
#include "status.h"
#include "tasks.h"
#include "tcp.h"
#include "timing.h"
#include "uart.h"

// task function to call all tasks - call from main loop
void Tasks(void) // (extern)
{
    wdt_reset();
    EepromTask();
    wdt_reset();
    RandomTask();
    wdt_reset();
    RtlTask();
    wdt_reset();
    TimingTask();
    wdt_reset();
}

